# Copyright (c) 2017  Barnstormer Softworks, Ltd.

# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

from __future__ import absolute_import

from ...core.exception import CoreException

class OutOfMountSpaceError(CoreException):
  def __init__ (self, type):
    super(OutOfMountSpaceError, self).__init__()
    self._type = type
  def __str__ (self):
    return "There is no more space available to create volumes of type '%s'" % (self._type)
