# Copyright (c) 2015  Barnstormer Softworks, Ltd.

# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

from __future__ import absolute_import



class ImageDriver(object):
  pass
  

def DriverFactory(obj):
  driver = DriverReg.getImageDriver(obj["type"])
  image = driver.buildFromJSON(obj)
  return image 


class DriverRegistry(object):
  def __init__ (self):
    self._data = {}

  def registerType (self, imagedriver):
    self._data[imagedriver.name] = imagedriver

  def getImageDriver (name):
    return self._data[name]

DriverReg = DriverRegistry()

