# Copyright (c) 2014  Barnstormer Softworks, Ltd.

from abc import ABCMeta, abstractmethod

class VTSDriver(object):
  __metaclass__ = ABCMeta

  @abstractmethod
  def createBridge (self, name, image):
    pass

  @abstractmethod
  def destroyBridge (self, name):
    pass

  @abstractmethod
  def attachPort (self, bridge, port):
    pass

  @abstractmethod
  def detachPort (self, bridge, port):
    pass
