# Copyright (c) 2017  University of Houston

# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

from __future__ import absolute_import

import subprocess

SUDOBIN = "/usr/bin/sudo"
DESTROYBIN = "/opt/foam/bin/destroy-tree"

def destroyTree (path):
  p = subprocess.Popen([str(x) for x in [SUDOBIN, DESTROYBIN, path]],
                       stdout = subprocess.PIPE, stderr = subprocess.PIPE)
  return p.pid
